#ifndef GUI_COMMANDS_H
#define GUI_COMMANDS_H

/* Messages sent from the client program, to the supplicant should be in the
   range of 0-99, while messages from the supplicant to the client should be
   in the range of 100-199.  Error messages, EAP Alerts, or other strange
   messages should be in the range of 200-255.
   
   Messages from the client program to the supplicant. */
#define SET_VALUE    1
#define GET_STATE    2
#define CLIENT_ACK   3
#define GET_VALUE    4
#define GET_INTS     5
#define GET_HI_STATE 6
#define REGISTER_GUI 7

/* Messages from the supplicant to the client program */
#define PUSH_ERR    101
#define TEST_CLIENT 102
#define STATE_RESP  103
#define GET_RESP    104
#define SET_RESP    105
#define INTS_RESP   106
#define GET_HI_RESP 107
#define PUSH_GET_USER_PW 108
#define GUI_REGISTERED 109

/* Other messages */
#define EAP_MESSAGE 200


int command_connect();
char *get_command_error(int);
void command_close();
int command_get_response(char *);
int command_get(char *, char *);  /* Sends a "get" command. */
int command_set(char *, char*);  /* Sends a "set" command. */
int command_status(char *);
int command_hi_stat();
int split_result(char *, int *, char **, char **);
int command_get_ints();

#endif
